<?php
// No direct access
defined('_HZEXEC_') or die();

// Get browser info to set some classes
$browser = new \Hubzero\Browser\Detector();

// Build up a list of classes to append to the HTML tag
$cls = array(
	'no-js',
	$browser->name(),
	$browser->name() . $browser->major(),
	$this->direction
);

Lang::load('tpl_' . $this->template) ||
Lang::load('tpl_' . $this->template, __DIR__);
?>
<!DOCTYPE html>
<html dir="<?php echo $this->direction; ?>" lang="<?php echo $this->language; ?>" class="<?php echo implode(' ', $cls); ?>">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<title><?php echo Config::get('sitename') . ' - ' . (in_array($this->error->getCode(), array(404, 403, 500)) ? $this->error->getCode() : 500); ?></title>

		<link rel="stylesheet" type="text/css" media="screen" href="<?php echo \Hubzero\Document\Assets::getSystemStylesheet(); ?>" />
		<link rel="stylesheet" type="text/css" media="all" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/error.css?v=<?php echo filemtime(__DIR__ . '/css/error.css'); ?>" />

		<!--[if IE 9]>
			<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/browser/ie9.css" />
		<![endif]-->
		<!--[if lt IE 9]>
			<script type="text/javascript" src="<?php echo $this->baseurl; ?>/app/templates/<?php echo $this->template; ?>/js/html5.js"></script>
			<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/browser/ie8.css" />
		<![endif]-->
	</head>
	<body>
		<div id="wrap">
			<header id="header">
				<h1>
					<a href="<?php echo empty($this->baseurl) ? '/' : $this->baseurl; ?>" title="<?php echo Config::get('sitename'); ?>">
						<span><?php echo Config::get('sitename'); ?></span>
					</a>
				</h1>
			</header>

			<main id="content" class="<?php echo 'code' . $this->error->getCode(); ?>" role="main">
				<div id="errorbox">
					<h2><?php echo $this->error->getCode() ?> - <?php echo $this->error->getMessage(); ?></h2>

					<p><?php echo Lang::txt('You may not be able to visit this page because of:'); ?></p>

					<ol>
						<li><?php echo Lang::txt('An out-of-date bookmark/favourite'); ?></li>
						<li><?php echo Lang::txt('A search engine that has an out-of-date listing for this site'); ?></li>
						<li><?php echo Lang::txt('A mis-typed address'); ?></li>
						<li><?php echo Lang::txt('You have no access to this page'); ?></li>
						<li><?php echo Lang::txt('The requested resource was not found'); ?></li>
						<li><?php echo Lang::txt('An error has occurred while processing your request.'); ?></li>
					</ol>

					<p><?php echo Lang::txt('If difficulties persist, please contact the system administrator of this site.'); ?></p>
				</div>

				<form method="get" action="<?php echo Route::url('index.php?option=com_search'); ?>">
					<fieldset>
						<?php echo Lang::txt('Please try the %s <span>or</span>', '<a href="' . Route::url('index.php') . '">' . Lang::txt('Home Page') . '</a>'); ?>
						<label for="searchword">
							<?php echo Lang::txt('Search:'); ?> 
							<input type="text" name="searchword" id="searchword" value="" />
						</label>
						<input type="submit" value="<?php echo Lang::txt('Go'); ?>" />
					</fieldset>
				</form>
			</div>
		</main>

		<?php if ($this->debug) { ?>
			<div class="backtrace-wrap">
				<?php echo $this->renderBacktrace(); ?>
			</div>
		<?php } ?>
	</body>
</html>
