
if (typeof console === "undefined" || typeof console.log === "undefined") {
	console = {};
	console.log = function() {};
}

jQuery(document).ready(function($){
	var w = 760,
		h = 520,
		isHome = $('html').hasClass('home');

	// Javascript is enabled
	if ($('html').hasClass('no-js')) {
		$('html').removeClass('no-js');
	}

	// Turn links with specific classes into popups
	$('a').on('click', function (e) {
		var trigger = $(this);

		if (trigger.is('.demo, .popinfo, .popup, .breeze')) {
			e.preventDefault();

			if (trigger.attr('class')) {
				var sizeString = trigger.attr('class').split(' ').pop();
				if (sizeString && sizeString.match(/\d+x\d+/)) {
					var sizeTokens = sizeString.split('x');
					w = parseInt(sizeTokens[0]);
					h = parseInt(sizeTokens[1]);
				}
				else if (sizeString && sizeString == 'fullxfull')
				{
					w = screen.width;
					h = screen.height;
				}
			}

			window.open(trigger.attr('href'), 'popup', 'resizable=1,scrollbars=1,height='+ h + ',width=' + w);
		}

		if (trigger.attr('rel') 
		 && trigger.attr('rel').indexOf('external') !=- 1) {
			trigger.attr('target', '_blank');
		}
	});

	if (jQuery.fancybox) {
		// Set overlays for lightboxed elements
		$('a[rel=lightbox]').fancybox();
	}

	// Init tooltips
	if (jQuery.ui && jQuery.ui.tooltip) {
		$('.hasTip, .tooltips').tooltip({
			position: {
				my: 'center bottom',
				at: 'center top'
			},
			// When moving between hovering over many elements quickly, the tooltip will jump around
			// because it can't start animating the fade in of the new tip until the old tip is
			// done. Solution is to disable one of the animations.
			hide: false,
			create: function(event, ui) {
				var tip = $(this),
					tipText = tip.attr('title');

				if (tipText.indexOf('::') != -1) {
					var parts = tipText.split('::');
					tip.attr('title', parts[1]);
				}
			},
			tooltipClass: 'tooltip'
		});
	}

	// Test for placeholder support
	var test = document.createElement('input'),
		placeholder_supported = ('placeholder' in test);

	// If we dont have placeholder support mimic it with focus and blur events
	if (!placeholder_supported) {
		$('input[type=text]:not(.no-legacy-placeholder-support)').each(function(i, el) {
			var placeholderText = $(el).attr('placeholder');

			if (placeholderText != '' && placeholderText != null) {
				if ($(el).val() == '') {
					$(el).addClass('placeholder-support').val(placeholderText);
				}

				$(el)
					.on('focus', function() {
						if ($(el).val() == placeholderText) {
							$(el).removeClass('placeholder-support').val('');
						}
					})
					.on('blur', function(){
						if ($(el).val() == '') {
							$(el).addClass('placeholder-support').val(placeholderText);
						}
					});
			}
		});

		$('form').on('submit', function(event){
			$('.placeholder-support').each(function (i, el) {
				$(this).val('');
			});
		});
	}
});
